Direct Debit

Frequency Switching

Managing frequencies on a future scheduled contract can be achieved using the Frequency Switching API endpoints below. These endpoints allow for dynamic adjustments to future contract schedules, including retrieving, creating, editing, or deleting future schedules. By selecting the appropriate endpoint for the required action, users can efficiently manage payment frequencies, ensuring automated and accurate handling of future contract schedules without manual intervention.

GET/client/{clientCode}/contract/{contractId}/futureSchedulesRetrieves all future schedules (stream versions) for a given contract and stream#
description:

Retrieves all future schedules (stream versions) for a given contract and stream

authorization:ApiKeyAuth
content-type: application/json
path parameters:
shared schema directDebit/path/client-contract
{
  • clientCode
    string (≤ 6 chars)MandatoryThe client code provided in your welcome email.
  • contractId
    string (guid)MandatoryThe contract GUID that you wish to query.
}

Responses

200OK
response body:
{
  • SearchInput
    objectSearch input.
  • TotalExpectedResults
    integerTotal expected results.
}
400Bad Request
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
500Internal Server Error
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
Example request
Endpoint
GET /client/{clientCode}/contract/{contractId}/futureSchedules
cURL
curl -L -g -X GET 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/contract/{contractId}/futureSchedules' -H 'apiKey: {apiKey}'
Response
HTTP/1.1 200 OK

{
  "StreamVersions": [
    {
      "Id": "e4dda449-4bf3-44fc-b8a6-29b3f90576f7",
      "Status": "Future version",
      "IsPatch": false,
      "StartDate": "2026-06-11T00:00:00",
      "Frequency": "Monthly",
      "Every": 1,
      "PaymentDayInWeek": null,
      "PaymentDayInMonth": 2,
      "PaymentMonthInYear": null,
      "InitialDate": null,
      "InitialAmount": 1.0,
      "RegistrationFee": null,
      "ExtraInitialAmounts": "1",
      "Amount": 1.0,
      "FinalAmount": 1.0,
      "IsGiftAid": false,
      "TerminationType": "End on exact date",
      "TerminationDate": "2030-06-15T00:00:00",
      "NumberOfDebits": null
    }
  ],
  "SearchInput": null,
  "TotalExpectedResults": 1
}
HTTP/1.1 400 Bad Request

{
  "Message": "Validation error",
  "ErrorCode": 3,
  "Detail": ""
}
HTTP/1.1 500 Internal Server Error

{
  "Message": "Internal server error",
  "ErrorCode": 4,
  "Detail": ""
}
GET/client/{clientCode}/contract/{contractId}/scheduleRetrieves details of a specific contract stream version (schedule)#
description:

Retrieves details of a specific contract stream version (schedule)

authorization:ApiKeyAuth
content-type: application/json
path parameters:
shared schema directDebit/path/client-contract
{
  • clientCode
    string (≤ 6 chars)MandatoryThe client code provided in your welcome email.
  • contractId
    string (guid)MandatoryThe contract GUID that you wish to query.
}
query parameters:
{
  • versionId
    string (guid)MandatoryThe StreamVersion (schedule) GUID that you wish to query.
}

Responses

200OK
response body:
{
  • SearchInput
    objectSearch input.
  • TotalExpectedResults
    integerTotal expected results.
}
400Bad Request
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
500Internal Server Error
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
Example request
Endpoint
GET /client/{clientCode}/contract/{contractId}/schedule
cURL
curl -L -g -X GET 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/contract/{contractId}/schedule?versionId={versionId}' -H 'apiKey: {apiKey}'
Response
HTTP/1.1 200 OK

{
  "StreamVersion": {
    "Id": "c036d70c-6578-4608-acd2-78511acc02f0",
    "Status": "Active version",
    "IsPatch": false,
    "StartDate": "2025-01-15T00:00:00",
    "Frequency": "Annually",
    "Every": 1,
    "PaymentDayInWeek": null,
    "PaymentDayInMonth": 15,
    "PaymentMonthInYear": null,
    "InitialDate": null,
    "InitialAmount": null,
    "RegistrationFee": null,
    "ExtraInitialAmounts": null,
    "Amount": 400.0,
    "FinalAmount": null,
    "IsGiftAid": false,
    "TerminationType": "End on exact date",
    "TerminationDate": "2025-05-01T00:00:00",
    "NumberOfDebits": null
  },
  "SearchInput": null,
  "TotalExpectedResults": 1
}
HTTP/1.1 400 Bad Request

{
  "Message": "Validation error",
  "ErrorCode": 3,
  "Detail": ""
}
HTTP/1.1 500 Internal Server Error

{
  "Message": "Internal server error",
  "ErrorCode": 4,
  "Detail": ""
}
DELETE/client/{clientCode}/contract/{contractId}/deleteSchedule/{futureScheduleId}Deletes a future contract schedule (stream version) by its ID#
description:

Deletes a future contract schedule (stream version) by its ID

authorization:ApiKeyAuth
content-type: application/json
path parameters:
shared schema directDebit/path/client-contract-future-schedule
{
  • clientCode
    string (≤ 6 chars)MandatoryThe client code provided in your welcome email.
  • contractId
    string (guid)MandatoryThe contract GUID on which the future schedule has been applied to.
  • futureScheduleId
    string (guid)MandatoryThe StreamVersion (schedule) GUID that you wish to delete.
}

Responses

200OK
response body:
{
  • Message
    stringConfirms the future schedule has been deleted.
}
400Bad Request
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
500Internal Server Error
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
Example request
Endpoint
DELETE /client/{clientCode}/contract/{contractId}/deleteSchedule/{futureScheduleId}
cURL
curl -L -g -X DELETE 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/contract/{contractId}/deleteSchedule/{futureScheduleId}' -H 'apiKey: {apiKey}'
Response
HTTP/1.1 200 OK

{
  "Message": "Schedule successfully deleted."
}
HTTP/1.1 400 Bad Request

{
  "Message": "Validation error",
  "ErrorCode": 3,
  "Detail": ""
}
HTTP/1.1 500 Internal Server Error

{
  "Message": "Internal server error",
  "ErrorCode": 4,
  "Detail": ""
}
PATCH/client/{clientCode}/contract/{contractId}/editSchedule/{futureScheduleId}Edits an existing future contract schedule#
description:

Edits an existing future contract schedule

authorization:ApiKeyAuth
content-type: application/json
path parameters:
shared schema directDebit/path/client-contract-future-schedule
{
  • clientCode
    string (≤ 6 chars)MandatoryThe client code provided in your welcome email.
  • contractId
    string (guid)MandatoryThe contract GUID that you wish to amend.
  • futureScheduleId
    string (guid)MandatoryThe StreamVersion (schedule) GUID that you wish to amend.
}
query parameters:
{
  • startDate
    string (date-time)MandatoryEffective date of change.
  • scheduleId
    string (guid)Schedule ID from available schedules.
  • scheduleName
    stringSchedule name from available schedules.
  • every
    integerIf the schedule is set to take regular payments, this parameter allows you to skip periods (e.g. every 2 months, every 4 weeks etc). This field is only mandatory if the schedule is not an ad-hoc schedule.
  • paymentDayInMonth
    integerIf the schedule is for regular payments, then the day on which you wish the first payment should be passed with this parameter. This field is only mandatory if the schedule is not an ad-hoc schedule. This field is only mandatory if the schedule is annual or monthly. NOTE: You may only select: - days 1 to 28 - 98, which represents Last working day of the Month - 99, which represents Last day of the Month equal with value 99. You may not select days 29, 30 or 31 of the month; choosing 29, 30 or 31 will result in payments being skipped in months that do not contain that date.
  • paymentDayInWeek
    integer1 -> Monday 2 -> Tuesday 3 -> Wednesday 4 -> Thursday 5 -> Friday If the schedule is for regular payments and has a weekly frequency, pass the day of the week that you wish payments to be collected via this parameter. This field is only mandatory if the schedule is not an ad-hoc schedule. This field is only mandatory if the schedule is weekly.
  • paymentMonthInYear
    integerIf the schedule is for regular payments then the month in which you wish the first payment should be passed with this parameter. This field is only mandatory if the schedule is not an ad-hoc schedule. This field is only mandatory if the schedule is annual or monthly.
  • initialDate
    string (date-time)Different first payment date.
  • initialAmount
    float (decimal)If this is a schedule for regular payments and the first payment is different to the regular payments, then pass the first payment amount with this parameter. Do not pass this parameter with ad-hoc schedule, or where the first amount is the same as the regular amount.
  • extraInitialAmounts
    stringIf there are extra charges to be collected with the first payment (e.g. a gym joining fee/registration fee) then these can be added separately with this parameter. Do not pass the parameter if there are no extra amounts, and this must not be used if the schedule is an ad-hoc payment schedule.
  • amount
    float (decimal)If the schedule is for regular payments, then the regular payment amount should be passed using this parameter. Do not pass this parameter if the schedule is an ad-hoc schedule. This field is only mandatory if the schedule is not an ad-hoc schedule.
  • finalAmount
    float (decimal)If this is a schedule for regular payments and the final payment is different to the regular payments, then pass the final payment amount with this parameter. Do not pass this parameter with ad-hoc schedules, or where the final amount is the same as the regular amount.
  • terminationType
    stringPossible values: Take certain number of debits, Until further notice, End on exact datePass the way in which the schedule should end using this parameter. If the schedule is ad-hoc, you must pass Until further notice.
  • terminationDate
    string (date-time)If the terminationType is End on Exact Date then the termination date should be passed using this. Format: YYYY-MM-DDT00:00:00.000
  • numberOfPayments
    integerIf this is a “Take certain Number of Debits” schedule then the number of debits to be taken should be passed using this parameter. This field is only mandatory if the termination type is “Take Certain Number of Debits”.
  • isGiftAid
    booleanPass true if the payments to be collected are to be subject to a gift aid claim, false if not (pass false if the client is not a charity).
}
request body:
shared schema directDebit/future-schedule
{
  • StartDate
    string (date-time)
  • ScheduleId
    string
  • ScheduleName
    string
  • Every
    float
  • PaymentDayInMonth
    float
  • PaymentDayInWeek
    float
  • PaymentMonthInWeek
    float
  • InitialDate
    string (date-time)
  • InitialAmount
    float
  • ExtraInitialAmounts
    string
  • Amount
    float
  • FinalAmount
    float
  • TerminationType
    string
  • TerminationDate
    string (date-time)
  • NumberOfPayments
    float
  • IsGiftAid
    boolean
}

Responses

200OK
response body:
{
  • Message
    stringMessage.
}
400Bad Request
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
500Internal Server Error
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
Example — query parameters
Endpoint
PATCH /client/{clientCode}/contract/{contractId}/editSchedule/{futureScheduleId}
cURL
curl -L -g -X PATCH 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/contract/{contractId}/editSchedule/{futureScheduleId}?startDate=2025-07-01T00:00:00Z&scheduleId=94821c14-8ba3-483f-a9db-02af004d9938&scheduleName=Monthly&every=1&paymentDayInMonth=1&paymentDayInWeek=1&paymentMonthInYear=1&initialDate=2025-07-01T00:00:00Z&initialAmount=100.0&extraInitialAmounts=25.00,10.00&amount=50.0&finalAmount=0.0&terminationType=Until further notice&terminationDate=2026-07-01T00:00:00Z&numberOfPayments=12&isGiftAid=false' \
  -H 'apiKey: {apiKey}'
Response
HTTP/1.1 200 OK

{
  "Message": "Contract schedule was edited successfully."
}
HTTP/1.1 400 Bad Request

{
  "Message": "Validation error",
  "ErrorCode": 3,
  "Detail": ""
}
HTTP/1.1 500 Internal Server Error

{
  "Message": "Internal server error",
  "ErrorCode": 4,
  "Detail": ""
}
Example — request body
Endpoint
PATCH /client/{clientCode}/contract/{contractId}/editSchedule/{futureScheduleId}
Request body
{
  "StartDate": "2025-07-01T00:00:00Z",
  "ScheduleId": "94821c14-8ba3-483f-a9db-02af004d9938",
  "ScheduleName": "Monthly",
  "Every": 1,
  "PaymentDayInMonth": 1,
  "PaymentDayInWeek": 1,
  "PaymentMonthInWeek": 1,
  "InitialDate": "2025-07-01T00:00:00Z",
  "InitialAmount": 100.0,
  "ExtraInitialAmounts": "25.00,10.00",
  "Amount": 50.0,
  "FinalAmount": 0.0,
  "TerminationType": "Until further notice",
  "TerminationDate": "2026-07-01T00:00:00Z",
  "NumberOfPayments": 12,
  "IsGiftAid": false
}
cURL
curl -L -g -X PATCH 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/contract/{contractId}/editSchedule/{futureScheduleId}' \
  -H 'Content-Type: application/json' \
  -H 'apiKey: {apiKey}' \
  -d '{"StartDate":"2025-07-01T00:00:00Z","ScheduleId":"94821c14-8ba3-483f-a9db-02af004d9938","ScheduleName":"Monthly","Every":1,"PaymentDayInMonth":1,"PaymentDayInWeek":1,"PaymentMonthInWeek":1,"InitialDate":"2025-07-01T00:00:00Z","InitialAmount":100.0,"ExtraInitialAmounts":"25.00,10.00","Amount":50.0,"FinalAmount":0.0,"TerminationType":"Until further notice","TerminationDate":"2026-07-01T00:00:00Z","NumberOfPayments":12,"IsGiftAid":false}'
Response
HTTP/1.1 200 OK

{
  "Message": "Contract schedule was edited successfully."
}
HTTP/1.1 400 Bad Request

{
  "Message": "Validation error",
  "ErrorCode": 3,
  "Detail": ""
}
HTTP/1.1 500 Internal Server Error

{
  "Message": "Internal server error",
  "ErrorCode": 4,
  "Detail": ""
}
POST/client/{clientCode}/contract/{contractId}/newScheduleCreates a new future contract schedule#
description:

Creates a new future contract schedule

authorization:ApiKeyAuth
content-type: application/json
path parameters:
shared schema directDebit/path/client-contract
{
  • clientCode
    string (≤ 6 chars)MandatoryThe client code provided in your welcome email.
  • contractId
    string (guid)MandatoryThe contract GUID that you wish to add a new future schedule to.
}
query parameters:
{
  • startDate
    string (date-time)MandatoryEffective date of change.
  • scheduleId
    string (guid)Schedule ID from available schedules.
  • scheduleName
    stringSchedule name from available schedules.
  • every
    integerIf the schedule is set to take regular payments, this parameter allows you to skip periods (e.g. every 2 months, every 4 weeks etc). This field is only mandatory if the schedule is not an ad-hoc schedule.
  • paymentDayInMonth
    integerPossible values: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 98, 99If the schedule is for regular payments, then the day on which you wish the first payment should be passed with this parameter. This field is only mandatory if the schedule is not an ad-hoc schedule. This field is only mandatory if the schedule is annual or monthly. NOTE: You may only select: - days 1 to 28 - 98, which represents Last working day of the Month - 99, which represents Last day of the Month equal with value 99. You may not select days 29, 30 or 31 of the month; choosing 29, 30 or 31 will result in payments being skipped in months that do not contain that date.
  • paymentDayInWeek
    integer1 -> Monday 2 -> Tuesday 3 -> Wednesday 4 -> Thursday 5 -> Friday If the schedule is for regular payments and has a weekly frequency, pass the day of the week that you wish payments to be collected via this parameter. This field is only mandatory if the schedule is not an ad-hoc schedule. This field is only mandatory if the schedule is weekly.
  • paymentMonthInYear
    integerIf the schedule is for regular payments then the month in which you wish the first payment should be passed with this parameter. This field is only mandatory if the schedule is not an ad-hoc schedule. This field is only mandatory if the schedule is annual or monthly.
  • initialDate
    string (date-time)Different first payment date.
  • initialAmount
    float (decimal)If this is a schedule for regular payments and the first payment is different to the regular payments, then pass the first payment amount with this parameter. Do not pass this parameter with ad-hoc schedules, or where the first amount is the same as the regular amount.
  • extraInitialAmounts
    stringIf there are extra charges to be collected with the first payment (e.g. a gym joining fee/registration fee) then these can be added separately with this parameter. Do not pass the parameter if there are no extra amounts, and this must not be used if the schedule is an ad-hoc payment schedule.
  • amount
    float (decimal)If the schedule is for regular payments, then the regular payment amount should be passed using this parameter. Do not pass this parameter if the schedule is an ad-hoc schedule. This field is only mandatory if the schedule is not an ad-hoc schedule.
  • finalAmount
    float (decimal)If this is a schedule for regular payments and the final payment is different to the regular payments, then pass the final payment amount with this parameter. Do not pass this parameter with ad-hoc schedules, or where the final amount is the same as the regular amount.
  • terminationType
    stringPossible values: Take certain number of debits, Until further notice, End on exact datePass the way in which the schedule should end using this parameter. If the schedule is ad-hoc, you must pass Until further notice.
  • terminationDate
    string (date-time)If the terminationType is End on Exact Date then the termination date should be passed using this. Format: YYYY-MM-DDT00:00:00.000
  • numberOfPayments
    integer (min 0, max 999)If this is a “Take certain Number of Debits” schedule then the number of debits to be taken should be passed using this parameter. This field is only mandatory if the termination type is “Take Certain Number of Debits”.
  • isGiftAid
    booleanPass true if the payments to be collected are to be subject to a gift aid claim, false if not (pass false if the client is not a charity).
}
request body:
shared schema directDebit/future-schedule
{
  • StartDate
    string (date-time)
  • ScheduleId
    string
  • ScheduleName
    string
  • Every
    float
  • PaymentDayInMonth
    float
  • PaymentDayInWeek
    float
  • PaymentMonthInWeek
    float
  • InitialDate
    string (date-time)
  • InitialAmount
    float
  • ExtraInitialAmounts
    string
  • Amount
    float
  • FinalAmount
    float
  • TerminationType
    string
  • TerminationDate
    string (date-time)
  • NumberOfPayments
    float
  • IsGiftAid
    boolean
}

Responses

200OK
response body:
{
  • NewScheduleId
    string (guid)New schedule ID.
}
400Bad Request
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
500Internal Server Error
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
Example — query parameters
Endpoint
POST /client/{clientCode}/contract/{contractId}/newSchedule
cURL
curl -L -g -X POST 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/contract/{contractId}/newSchedule?startDate=2025-07-01T00:00:00Z&scheduleId=94821c14-8ba3-483f-a9db-02af004d9938&scheduleName=Monthly&every=1&paymentDayInMonth=1&paymentDayInWeek=1&paymentMonthInYear=1&initialDate=2025-07-01T00:00:00Z&initialAmount=100.0&extraInitialAmounts=25.00,10.00&amount=50.0&finalAmount=0.0&terminationType=Until further notice&terminationDate=2026-07-01T00:00:00Z&numberOfPayments=12&isGiftAid=false' \
  -H 'apiKey: {apiKey}'
Response
HTTP/1.1 200 OK

{
  "NewScheduleId": "94821c14-8ba3-483f-a9db-02af004d9938"
}
HTTP/1.1 400 Bad Request

{
  "Message": "Validation error",
  "ErrorCode": 3,
  "Detail": ""
}
HTTP/1.1 500 Internal Server Error

{
  "Message": "Internal server error",
  "ErrorCode": 4,
  "Detail": ""
}
Example — request body
Endpoint
POST /client/{clientCode}/contract/{contractId}/newSchedule
Request body
{
  "StartDate": "2025-07-01T00:00:00Z",
  "ScheduleId": "94821c14-8ba3-483f-a9db-02af004d9938",
  "ScheduleName": "Monthly",
  "Every": 1,
  "PaymentDayInMonth": 1,
  "PaymentDayInWeek": 1,
  "PaymentMonthInWeek": 1,
  "InitialDate": "2025-07-01T00:00:00Z",
  "InitialAmount": 100.0,
  "ExtraInitialAmounts": "25.00,10.00",
  "Amount": 50.0,
  "FinalAmount": 0.0,
  "TerminationType": "Until further notice",
  "TerminationDate": "2026-07-01T00:00:00Z",
  "NumberOfPayments": 12,
  "IsGiftAid": false
}
cURL
curl -L -g -X POST 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/contract/{contractId}/newSchedule' \
  -H 'Content-Type: application/json' \
  -H 'apiKey: {apiKey}' \
  -d '{"StartDate":"2025-07-01T00:00:00Z","ScheduleId":"94821c14-8ba3-483f-a9db-02af004d9938","ScheduleName":"Monthly","Every":1,"PaymentDayInMonth":1,"PaymentDayInWeek":1,"PaymentMonthInWeek":1,"InitialDate":"2025-07-01T00:00:00Z","InitialAmount":100.0,"ExtraInitialAmounts":"25.00,10.00","Amount":50.0,"FinalAmount":0.0,"TerminationType":"Until further notice","TerminationDate":"2026-07-01T00:00:00Z","NumberOfPayments":12,"IsGiftAid":false}'
Response
HTTP/1.1 200 OK

{
  "NewScheduleId": "94821c14-8ba3-483f-a9db-02af004d9938"
}
HTTP/1.1 400 Bad Request

{
  "Message": "Validation error",
  "ErrorCode": 3,
  "Detail": ""
}
HTTP/1.1 500 Internal Server Error

{
  "Message": "Internal server error",
  "ErrorCode": 4,
  "Detail": ""
}
POST/client/{clientCode}/contract/{contractId}/cancelScheduleCancels the schedule of a contract#
description:

Cancels the schedule of a contract

authorization:ApiKeyAuth
content-type: application/json
path parameters:
shared schema directDebit/path/client-contract
{
  • clientCode
    string (≤ 6 chars)MandatoryThe client code provided in your welcome email.
  • contractId
    string (guid)MandatoryThe contract GUID that you want to cancel the schedule for.
}
request body:

{} — This call takes no request body — send an empty JSON object.

Responses

200OK
response body:
{
  • Message
    stringMessage.
}
400Bad Request
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
403Forbidden
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
404Not Found
response body:
{
  • Message
    stringMessage.
  • ErrorCode
    integerError code.
}
500Internal Server Error
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
Example request
Endpoint
POST /client/{clientCode}/contract/{contractId}/cancelSchedule
Request body
{}
cURL
curl -L -g -X POST 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/contract/{contractId}/cancelSchedule' -H 'apiKey: {apiKey}'
Response
HTTP/1.1 200 OK

{
  "Message": "Contract schedule was cancelled successfully."
}
HTTP/1.1 400 Bad Request

{
  "Message": "Validation error",
  "ErrorCode": 3,
  "Detail": ""
}
HTTP/1.1 403 Forbidden

{
  "Message": "API not enabled",
  "ErrorCode": 7,
  "Detail": "This contract cannot be used in API"
}
HTTP/1.1 404 Not Found

{
  "Message": "Contract not found",
  "ErrorCode": 0
}
HTTP/1.1 500 Internal Server Error

{
  "Message": "Internal server error",
  "ErrorCode": 4,
  "Detail": ""
}
POST/client/{clientCode}/contract/{contractId}/restartScheduleRestarts the schedule of a contract#
description:

Restarts the schedule of a contract

authorization:ApiKeyAuth
content-type: application/json
path parameters:
shared schema directDebit/path/client-contract
{
  • clientCode
    string (≤ 6 chars)MandatoryThe client code provided in your welcome email.
  • contractId
    string (guid)MandatoryThe contract GUID that you want to restart the schedule for.
}
query parameters:
{
  • comment
    stringAn optional comment.
}
request body:

{} — This call takes no request body — send an empty JSON object.

Responses

200OK
response body:
{
  • Message
    stringMessage.
}
400Bad Request
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
403Forbidden
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
404Not Found
response body:
{
  • Message
    stringMessage.
  • ErrorCode
    integerError code.
}
500Internal Server Error
response body:
shared schema directDebit/error
{
  • Message
    stringHuman-readable description of the failure.
  • ErrorCode
    integerNumeric DDCMS error code.
  • Detail
    stringFurther detail about the failure, where available.
}
Example request
Endpoint
POST /client/{clientCode}/contract/{contractId}/restartSchedule
Request body
{}
cURL
curl -L -g -X POST 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/contract/{contractId}/restartSchedule' -H 'apiKey: {apiKey}'
Response
HTTP/1.1 200 OK

{
  "Message": "Contract schedule was restarted successfully."
}
HTTP/1.1 400 Bad Request

{
  "Message": "Validation error",
  "ErrorCode": 3,
  "Detail": ""
}
HTTP/1.1 403 Forbidden

{
  "Message": "API not enabled",
  "ErrorCode": 7,
  "Detail": "This contract cannot be used in API"
}
HTTP/1.1 404 Not Found

{
  "Message": "Contract not found",
  "ErrorCode": 0
}
HTTP/1.1 500 Internal Server Error

{
  "Message": "Internal server error",
  "ErrorCode": 4,
  "Detail": ""
}